Package org.apache.commons.exec.launcher

# Class CommandLauncherProxy

java.lang.Object
org.apache.commons.exec.launcher.CommandLauncherImpl
org.apache.commons.exec.launcher.CommandLauncherProxy

All Implemented Interfaces:
  `CommandLauncher`

Direct Known Subclasses:
  `OS2CommandLauncher`, `WinNTCommandLauncher`

public abstract class CommandLauncherProxy extends CommandLauncherImpl
A command launcher that proxies another command launcher. Sub-classes override exec(args, env, workdir)

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `CommandLauncherProxy(CommandLauncher launcher)`
  Constructs a new instance.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `Process`
  `exec(CommandLine cmd, Map<String,String> env)`
  Launches the given command in a new process.

  ### Methods inherited from class org.apache.commons.exec.launcher.CommandLauncherImpl

  `exec, isFailure`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

  ### Methods inherited from interface org.apache.commons.exec.launcher.CommandLauncher

  `exec`

- ## Constructor Details

  - ### CommandLauncherProxy

    public CommandLauncherProxy(CommandLauncher launcher)
    Constructs a new instance.
    Parameters:
      `launcher` - the command launcher to use.

- ## Method Details

  - ### exec

    public Process exec(CommandLine cmd, Map<String,String> env) throws IOException
    Launches the given command in a new process. Delegates this method to the proxied launcher.
    Specified by:
      `exec` in interface `CommandLauncher`
    Overrides:
      `exec` in class `CommandLauncherImpl`
    Parameters:
      `cmd` - the command line to execute as an array of strings.
      `env` - the environment to set as an array of strings.
    Returns:
      the newly created process.
    Throws:
      `IOException` - forwarded from the exec method of the command launcher.